[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#559125: libc6: Package description doesn't mention eglibc

Package: libc6
Version: 2.10.2-2
Severity: minor


Looking at the libc6 package description:

$ apt-cache show libc6
Package: libc6
Source: eglibc
Version: 2.10.2-2
Provides: glibc-2.10-1
Depends: libc-bin (= 2.10.2-2), libgcc1
Description: GNU C Library: Shared libraries
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.

I was surprised to find that the only reference to eglibc is in the
Source: field. Contrast this to the package eglibc-source:

Description: Embedded GNU C Library: sources
 This package contains the sources and patches which are needed to
 build eglibc.

As far as I understand, what the libc6 really provides nowadays is
eglibc, right? Should that be reflected in the package descriptions at
least somehow?


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libc6 depends on:
ii  libc-bin                      2.10.2-2   GNU C Library: Binaries
ii  libgcc1                       1:4.4.2-3  GCC support library

libc6 recommends no packages.

Versions of packages libc6 suggests:
ii  debconf [debconf-2.0]         1.5.28     Debian configuration management sy
pn  glibc-doc                     <none>     (no description available)
ii  locales                       2.10.2-2   GNU C Library: National Language (

-- debconf information excluded

Reply to: